> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anyfast.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# happyhorse-1.1-t2v

> Submit a HappyHorse 1.1 text-to-video task. Use the returned task ID to query the result.



## OpenAPI

````yaml api-reference/model-api/alibaba/openapi/happyhorse-1.1-t2v/openapi.yaml POST /v1/video/generations
openapi: 3.1.0
info:
  title: HappyHorse 1.1 T2V
  description: >-
    Generate videos with synchronized audio from text through the AnyFast
    asynchronous video API.
  version: 1.0.0
servers:
  - url: https://www.anyfast.ai
security:
  - bearerAuth: []
paths:
  /v1/video/generations:
    post:
      summary: Create a text-to-video task
      description: >-
        Submit a HappyHorse 1.1 text-to-video task. Use the returned task ID to
        query the result.
      operationId: createHappyhorse11T2v
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - input
              properties:
                model:
                  type: string
                  enum:
                    - happyhorse-1.1-t2v
                  example: happyhorse-1.1-t2v
                input:
                  type: object
                  required:
                    - prompt
                  properties:
                    prompt:
                      type: string
                      description: >-
                        Text description of the video. Maximum 5,000 non-Chinese
                        characters or 2,500 Chinese characters.
                      example: A miniature cardboard city comes to life at night.
                parameters:
                  type: object
                  properties:
                    resolution:
                      type: string
                      enum:
                        - 720P
                        - 1080P
                      default: 1080P
                    ratio:
                      type: string
                      enum:
                        - '16:9'
                        - '9:16'
                        - '1:1'
                        - '4:3'
                        - '3:4'
                        - '4:5'
                        - '5:4'
                        - '9:21'
                        - '21:9'
                      default: '16:9'
                    duration:
                      type: integer
                      minimum: 3
                      maximum: 15
                      default: 5
                    watermark:
                      type: boolean
                      default: true
                      description: Whether to add the HappyHorse watermark.
                    seed:
                      type: integer
                      minimum: 0
                      maximum: 2147483647
                      description: >-
                        Random seed. A fixed value improves reproducibility but
                        does not guarantee identical results.
              example:
                model: happyhorse-1.1-t2v
                input:
                  prompt: A miniature cardboard city comes to life at night.
                parameters:
                  resolution: 720P
                  ratio: '16:9'
                  duration: 5
                  watermark: false
      responses:
        '200':
          description: Task created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskCreated'
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
components:
  schemas:
    TaskCreated:
      type: object
      properties:
        id:
          type: string
          example: asyntask_jwgfhsG0m2aDjLmiiELRf74eoWmss6ya
        task_id:
          type: string
          example: asyntask_jwgfhsG0m2aDjLmiiELRf74eoWmss6ya
        object:
          type: string
          example: video
        model:
          type: string
          example: happyhorse-1.1-t2v
        status:
          type: string
          example: queued
        progress:
          type: integer
          example: 0
        created_at:
          type: integer
          example: 1784520000
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````